<?php

namespace Modules\User\Interfaces;

use Illuminate\Http\Request;
use Modules\User\Models\User;

interface UserRepositoryInterface
{
    public function get(Request $request);
    public function getItem(User $user);
    public function save(Request $request, ?User $user): User;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
